import Layout from "./components/Layout/Layout";
import { Routes, Route } from "react-router-dom";
import ProductFormPage from "./containers/ProductFormPage/ProductFormPage";
import ProductsPage from "./containers/ProductsPage/ProductsPage";
import { AppDispatch, AppState } from "./store/store";
import { shallowEqual, useDispatch, useSelector } from "react-redux";
import { useEffect } from "react";
import { checkToken } from "./store/users/users.slice";
import Login from "./containers/Login/Login";
import Register from "./containers/Register/Register";

const App = () => {
  const dispatch: AppDispatch = useDispatch()
    const {isAuth} = useSelector((state: AppState) => state.users, shallowEqual)

    useEffect(() => {
        dispatch(checkToken())
    }, [])
  return (
      <Layout>
        {isAuth 
        ? 
        <Routes>
          <Route path={'/'} element={<h1>HOME</h1>} />
          <Route path={'/products'} element={<ProductsPage />} />
          <Route path={'/add-product'} element={<ProductFormPage />} />
        </Routes>
        :
        <Routes>
          <Route path={'/'} element={<Login />} />
          <Route path={'/register'} element={<Register />} />
        </Routes>
        }
        
      </Layout>
  )
}

export default App
