import React, { FunctionComponent, ReactElement } from "react";
import { shallowEqual, useSelector } from "react-redux";
import { NavLink } from "react-router-dom";
import { AppState } from "../../store/store";
import styles from "./Header.module.css";

const Header: FunctionComponent = (): ReactElement => {
  const {isAuth} = useSelector((state: AppState) => state.users, shallowEqual)

  return (
    <header className={styles.Header}>
      {isAuth ? (
        <>
          <NavLink className={styles.Header__link} to={"/add-product"}>
            Add product
          </NavLink>
          <NavLink className={styles.Header__link} to={"/products"}>
            Products
          </NavLink>
        </>
      ) : (
        <>
          <NavLink className={styles.Header__link} to={"/register"}>
            Sign up
          </NavLink>
          <NavLink className={styles.Header__link} to={"/"}>
            Login
          </NavLink>
        </>
      )}
    </header>
  );
};

export default Header;
